Commits
Creates a new branch commit from the provided component payload. Each component may include one or more files, and file contents must be supplied as Base64-encoded strings.
Autorizações
AuthorizationstringObrigatório
Bearer access_token
Parâmetros de rota
topologyIdnumberObrigatório
Corpo
branchIdnumberObrigatórioExample:
Identifier of the target branch that will receive the commit.
42messagestringObrigatórioExample:
Commit message shown in commit history.
Add Account trigger and supporting metadataRespostas
201
Commit has been successfully created
Sem conteúdo
400
Invalid commit payload or incomplete component data.
application/json
404
The target branch or another required resource was not found.
application/json
500
Unexpected internal error while processing commits.
application/json
post/topologies/{topologyId}/fit/commits
POST /topologies/{topologyId}/fit/commits HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 453
{
"branchId": 42,
"message": "Add Account trigger and supporting metadata",
"components": [
{
"name": "AccountTrigger",
"type": "ApexTrigger",
"origin": {
"type": "Organization",
"name": "origin/main"
},
"externalUpdatedAt": "2026-01-01T00:00:00.000Z",
"externalUpdatedBy": "text",
"platformType": "Salesforce",
"label": "Account Trigger",
"files": [
{
"path": "triggers/AccountTrigger.trigger",
"content": "dHJpZ2dlciBBY2NvdW50VHJpZ2dlciBvbiBBY2NvdW50IChiZWZvcmUgaW5zZXJ0KSB7fQ=="
}
]
}
]
}Sem conteúdo
Atualizado
Isto foi útil?